float4  fColor;
float4x4 matWorld;
float4x4 matProjection;

struct VS_INPUT 
{ 
	float3 Position : POSITION;
    float4 Color	: COLOR0;
    float2 Texcoord : TEXCOORD0;

};

struct VS_OUTPUT 
{
   float4 Position :        POSITION0;
   float4 Diffuse  :		COLOR0;
   float2 Texcoord :        TEXCOORD0;
};

VS_OUTPUT main( VS_INPUT Input )
{
	VS_OUTPUT Output;

	Output.Position       = mul( float4(Input.Position, 1),  matWorld);
	Output.Position		  = mul(Output.Position,matProjection);
	
	Output.Diffuse = fColor;
	Output.Texcoord = Input.Texcoord;

	return( Output );
}

